com.jscape.inet.telnet

## Interface TelnetScriptListener

-     public interface TelnetScriptListener

  Implements methods for capturing events sourced from TelnetScript class.

  Typicaly your application will implement this interface to capture the following events :

  `TelnetTaskStartEvent`
  `TelnetTaskEndEvent`
  `TelnetTaskFailedEvent`

  In addition to implementing this interface your application should register itself as an EventListener which may look somewhat like this:

       public class Application ... implements TelnetScriptListener
       {
        ...
        public ... initMethod(...)
        {
          Telnet telnet = new Telnet("10.0.0.1");
          TelnetScript script = new TelnetScript(telnet);
          script.addTelnetScriptListener(this);
        }
        ...
       }

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `taskEnd(TelnetTaskEndEvent event)` Invoked when command for a TelnetTask completes execution.
    `void` | `taskFailed(TelnetTaskFailedEvent event)` Invoked when command for a TelnetTask fails execution.
    `void` | `taskStart(TelnetTaskStartEvent event)` Invoked when command for a TelnetTask begins execution.
    `void` | `taskTimeout(TelnetTaskTimeoutEvent event)` Invoked when a TelnetTask exceeds timeout waiting for end prompt.

- - ### Method Detail

    - #### taskStart

          void taskStart(TelnetTaskStartEvent event)

      Invoked when command for a TelnetTask begins execution.
      Parameters:
        `event` - a `TelnetTaskStartEvent`
      See Also:
        `TelnetTaskStartEvent`

    - #### taskEnd

          void taskEnd(TelnetTaskEndEvent event)

      Invoked when command for a TelnetTask completes execution.
      Parameters:
        `event` - a `TelnetTaskEndEvent`
      See Also:
        `TelnetTaskEndEvent`

    - #### taskFailed

          void taskFailed(TelnetTaskFailedEvent event)

      Invoked when command for a TelnetTask fails execution.
      Parameters:
        `event` - a `TelnetTaskFailedEvent`
      See Also:
        `TelnetTaskFailedEvent`

    - #### taskTimeout

          void taskTimeout(TelnetTaskTimeoutEvent event)

      Invoked when a TelnetTask exceeds timeout waiting for end prompt.
      Parameters:
        `event` - a `TelnetTaskTimeoutEvent`
      See Also:
        `TelnetTaskTimeoutEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved